Package org.apache.sling.models.spi

# Interface DisposalCallback

@ConsumerType public interface DisposalCallback
Callback interface which can be implemented by Injectors to perform some action when a created object is destroyed.

## Method Summary

Modifier and Type
Method
Description
`void`
`onDisposed()`
Callback method for when an object is destroyed.

## Method Details

### onDisposed

void onDisposed()
Callback method for when an object is destroyed.